-------------------------------------------------------------------------------
-- Execute this script in a 3.6-199 schema to upgrade it to 3.6-214
-------------------------------------------------------------------------------

--
-- Drop Triggers
-- 1. RHN_KSTREEFILE_DEL_TRIG (Trigger)
-- 2. RHN_EFILEC_DEL_TRIG  (Trigger)
--
DROP TRIGGER RHN_KSTREEFILE_DEL_TRIG;
DROP TRIGGER RHN_EFILEC_DEL_TRIG;

--
-- 3. RHN_EFILEC_MOD_TRIG  (Trigger)
--
CREATE OR REPLACE TRIGGER RHN_EFILEC_MOD_TRIG
BEFORE INSERT OR UPDATE ON RHNERRATAFILECHANNEL
FOR EACH ROW
begin
   :new.modified := sysdate;
end rhn_efilec_mod_trig;
/
SHOW ERRORS;

--
-- 4. RHN_KSTREEFILE_MOD_TRIG  (Trigger)
--
CREATE OR REPLACE TRIGGER RHN_KSTREEFILE_MOD_TRIG
BEFORE INSERT OR UPDATE ON RHNKSTREEFILE
FOR EACH ROW
begin
   :new.modified := sysdate;
   if :new.last_modified = :old.last_modified
   then
       :new.last_modified := sysdate;
        end if;
end rhn_kstreefile_mod_trig;
/
SHOW ERRORS;

--
-- update data for rhnFAQ
--
update rhnFAQ
set details =
'Red Hat Network is a systems support and management environment for Red Hat Linux systems and networks. For more information, please see the Red Hat Network product information page:
http://www.redhat.com/software/rhn/products/

For individual systems and small networks, see http://www.redhat.com/software/rhn

For enterprise deployments, see http://www.redhat.com/software/rhen'
where id = 1;

commit;
