-- bug #487319: Pre-Goldmember sql upgrade scripts lack several updates
--
-- Between Satellite 4.0 and 4.1, rhnKickstartCommandName table got
-- new columns sort_order & uses_arguments, both with a not null constraint.
-- 
-- In 4.0 -> 4.1 upgrade script we did:
-- alter table rhnKickstartCommandName add constraint rhn_kscommandname_uses_args_nn
--     check (uses_arguments is not null);
-- alter table rhnKickstartCommandName add constraint rhn_kscommandname_sortordr_nn
--     check (sort_order is not null);
--
-- We need to drop "check" constraint and just modify the appropriate columns
-- for the upgraded schema to match.

alter table rhnKickstartCommandName
	drop constraint rhn_kscommandname_sortordr_nn;
alter table rhnKickstartCommandName
	modify sort_order constraint rhn_kscommandname_sortordr_nn not null;

alter table rhnKickstartCommandName
	drop constraint rhn_kscommandname_uses_args_nn;
alter table rhnKickstartCommandName
	modify uses_arguments constraint rhn_kscommandname_uses_args_nn not null;


-- Forgotten upgrade script from Satellite 5.1, svn rev. 132142, bug #248763

update rhnKickstartCommandName
	set uses_arguments = 'Y' where
		name = 'autostep' and
		required = 'N' and
		sort_order = 1 and
		uses_arguments = 'N';
commit;
